<? 
@session_start();
$base_path='../';
require_once('../connect/connect.php');
include_once('../lib/lib.php');
require('pdk.php');

$titl="Перемещение страницы";

if (isset($_GET['id_per']) && isset($_GET['for']))
{
mysql_query("UPDATE catalog SET parent_id='".$_GET['id_per']."' WHERE id_catalog='".$_GET['for']."'"); 
f_cashe_menu();
echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=str.php'></HEAD></HTML>";
exit();
}

if (isset($_GET['st'])) $st=$_GET['st'];
if (isset($_GET['sub'])) $sub=$_GET['sub'];

$r2 = mysql_query ("SELECT * FROM catalog WHERE id_catalog='".$st."' ") or die(mysql_error());
$rr2 = mysql_fetch_array($r2);
if($rr2['typ']) $naim="каталог"; else $naim="папку";

require ('top.php'); 
echo '</td><td colspan=2 valign="top" width="100%" class="td1">';
echo '<p>Список доступных разделов, куда можно переместить '.$naim.' <br><b>'.$rr2['catalog'].'</b>.<br>Кликните на нужный Вам раздел</p>';

function _rename($parent_id, $prefix, $no) 
{
global $st;
global $sub;
global $out;
$r = mysql_query("SELECT * FROM catalog WHERE parent_id = '".$parent_id."' AND typ !=1 ORDER BY num");

	while ($rr = mysql_fetch_array($r)) 
	{
	if($rr['parent_id']==$sub) $no=0; 
	$out .= '<tr>';
	$out .= '<td width="35%">';
	if($rr['id_catalog']==$st ) $no=1; 
	if($no !=1 && $rr['id_catalog']!=$sub )
	$out .= $prefix.'<a class=tst9 href="rename.php?id_per='.$rr['id_catalog'].'&for='.$st.'">'.$rr['catalog'].'</a> '; 
	else
	$out .= $prefix.$rr['catalog']; 
	
	_rename($rr['id_catalog'], $prefix."&nbsp;&nbsp;&nbsp;&nbsp;", $no);
	}
return $out;
} // end function

echo '<TABLE width="70%" style="BORDER-COLLAPSE: collapse" cellpadding="1" cellspacing="1" border="1" bordercolor="#E2E2E2">';
echo '<tr><td>';
if($sub==0)
echo 'В корневую директорию';
else
echo '<a class=tst9 href="rename.php?id_per=0&for='.$st.'">В корневую директорию</a>';
echo _rename(0, "", 0);
echo '</table>';
require ('bottom.php'); 
?>